#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var commander_1 = __importDefault(require("commander"));
var fs_1 = require("fs");
var glob_1 = __importDefault(require("glob"));
var convertToPlant_1 = require("./convertToPlant");
var generateDocumentation_1 = require("./generateDocumentation");
commander_1.default
    .version('2.1.1')
    .usage('[options]')
    .option('-i, --input <path>', 'input file')
    .option('-o, --output <path>', 'output file')
    .option('-c, --compositions', 'create not heritage compositions')
    .option('-I, --only-interfaces', 'only output interfaces')
    .parse(process.argv);
if (!commander_1.default.input) {
    console.error('missing input file');
    process.exit(1);
}
glob_1.default(commander_1.default.input, {}, function (err, matches) {
    if (err !== null) {
        console.error(err);
        return;
    }
    var output = convertToPlant_1.convertToPlant(generateDocumentation_1.generateDocumentation(matches), {
        compositions: commander_1.default.compositions,
        onlyInterfaces: commander_1.default.onlyInterfaces
    });
    if (commander_1.default.output === undefined) {
        console.log(output);
        return;
    }
    fs_1.writeFile(commander_1.default.output, output, function (errNoException) {
        if (errNoException !== null) {
            console.error(errNoException);
            return;
        }
        console.log('The file was saved!');
    });
});
